#lang racket/base
(require racket/cmdline
         scribble/render
         scribble/markdown-render)

(define-values (name RUNS)
  (command-line
   #:args (name runs)
   (values
    name
    (string->number runs))))

(define doc
  (dynamic-require '(lib "scribblings/reference/reference.scrbl") 'doc))

(printf "== md-render ~a ~a ==\n" name 1)
(for ([i (in-range RUNS)])
  (time
   (render (list doc)
           (list "ref")
           #:dest-dir "/tmp"
           #:render-mixin render-mixin)))
