#lang racket/base
(require racket/cmdline
         racket/file
         megaparsack/parser/json)

(define-values (name N RUNS)
  (command-line
   #:args (name n runs)
   (values
    name
    (string->number n)
    (string->number runs))))

(define str  (file->string "input.json"))

(printf "== megaparsack ~a ~a ==\n" name N)
(for ([i (in-range RUNS)])
  (time (void
         (for/fold ([v #f]) ([i (in-range N)])
           (parse-json-string str)))))
