#lang racket/base
(require racket/cmdline
         racket/port
         xsmith
         xsmith/cish/cish)

(define-values (name N RUNS)
  (command-line
   #:args (name n runs)
   (values
    name
    (string->number n)
    (string->number runs))))

(define cish-generate-and-print
  (parameterize ([current-namespace (module->namespace 'xsmith/cish/cish)])
    (eval 'cish-generate-and-print)))


(printf "== cish ~a ~a ==\n" name N)
(for ([i (in-range RUNS)])
  (collect-garbage)
  (collect-garbage)
  (time
   (parameterize ([current-output-port (open-output-nowhere)]
                  [current-command-line-arguments (vector "--seed" "42")])
     (for ([i (in-range N)])
       (xsmith-command-line cish-generate-and-print
                            #:features cish-features-list)))))

