(define impl "immitation")

(define attachment-ks '(#f))
(define attachments '())
  
(define (call-setting-continuation-attachment val thunk)
  (call/cc
   (lambda (k)
     (if (eq? k (car attachment-ks))
         (begin
           (set! attachments (cons val (cdr attachments)))
           (thunk))
         (call-with-values
             (lambda ()
               (call/cc
                (lambda (nested-k)
                  (set! attachment-ks (cons nested-k attachment-ks))
                  (set! attachments (cons val attachments))
                  (thunk))))
           (case-lambda
            [(v)
             (set! attachment-ks (cdr attachment-ks))
             (set! attachments (cdr attachments))
             v]
            [vs
             (set! attachment-ks (cdr attachment-ks))
             (set! attachments (cdr attachments))
             (apply values vs)]))))))

(define (call-getting-continuation-attachment default-val proc)
  (call/cc
   (lambda (k)
     (if (eq? k (car attachment-ks))
         (let ([val (car attachments)])
           (if (eq? val '#{none muer9er3oofhxt5ydva9u4jkd-0})
               (proc default-val)
               (proc val)))
         (proc default-val)))))

(define (call-consuming-continuation-attachment default-val proc)
  (call/cc
   (lambda (k)
     (if (eq? k (car attachment-ks))
         (let ([val (car attachments)])
           (if (eq? val '#{none muer9er3oofhxt5ydva9u4jkd-0})
               (proc default-val)
               (begin
                 (set! attachments (cons '#{none muer9er3oofhxt5ydva9u4jkd-0} (cdr attachments)))
                 (proc val))))
         (proc default-val)))))

(define (current-continuation-attachments)
  attachments)
